Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks
Class MicroLayoutPolicies

    java.lang.Object
      com.jgoodies.looks.MicroLayoutPolicies

    public final class MicroLayoutPolicies

extends Object

Provides predefined MicroLayoutPolicy implementations.

Since:
  2.1
Version:
  $Revision: 1.8 $
Author:
  Karsten Lentzsch
See Also:
  `MicroLayout`, `MicroLayouts`, `MicroLayoutPolicy`

Method Summary
`static MicroLayoutPolicy` | `getDefaultPlasticPolicy()` Returns the default MicroLayoutPolicy for the Plastic L&fs.
`static MicroLayoutPolicy` | `getDefaultWindowsPolicy()` Returns the default MicroLayoutPolicy for the Windows L&f.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultPlasticPolicy

    public static MicroLayoutPolicy getDefaultPlasticPolicy()

  Returns the default MicroLayoutPolicy for the Plastic L&fs. Uses component insets that are similar to the Windows L&f micro layout, making it easier to

  Returns:
    a Windows-like micro layout policy for the Plastic L&fs

### getDefaultWindowsPolicy

    public static MicroLayoutPolicy getDefaultWindowsPolicy()

  Returns the default MicroLayoutPolicy for the Windows L&f. It aims to describe component insets that follow the native guidelines.

  Returns:
    the default micro layout policy for the Windows platform.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JGoodies Karsten Lentzsch. All Rights Reserved.